std::__future_base::_Result< _Res & > Struct Template Reference
Concurrency » Futures

`#include <future>`

Inheritance diagram for std::__future_base::_Result< _Res & >:
[legend]

## Public Types

typedef _Res & | result_type

## Public Member Functions

_Res & | _M_get () noexcept
void | _M_set (_Res &__res) noexcept

## Public Attributes

exception_ptr | _M_error

## Detailed Description

template<typename _Res>
struct std::__future_base::_Result< _Res & >

Partial specialization for reference types.

Definition at line 627 of file future.

## Member Typedef Documentation

## result_type

template<typename _Res >

typedef _Res& std::__future_base::_Result< _Res & >::result_type

Definition at line 629 of file future.

## Constructor & Destructor Documentation

## _Result()

template<typename _Res >

std::__future_base::_Result< _Res & >::_Result | ( |  | ) |

inline noexcept

Definition at line 631 of file future.

## Member Function Documentation

## _M_get()

template<typename _Res >

_Res & std::__future_base::_Result< _Res & >::_M_get | ( |  | ) |

inline noexcept

Definition at line 637 of file future.

## _M_set()

template<typename _Res >

void std::__future_base::_Result< _Res & >::_M_set | ( | _Res & | __res | ) |

inline noexcept

Definition at line 634 of file future.

## Member Data Documentation

## _M_error

exception_ptr std::__future_base::_Result_base::_M_error

inherited

Definition at line 203 of file future.

The documentation for this struct was generated from the following file:

- future